.gallery-mp .my-container {
  margin-top: 155px;
}
@media screen and (max-width: 767px) {
  .gallery-mp .my-container {
    margin-top: 100px;
  }
}
@media screen and (max-width: 575px) {
  .gallery-mp .my-container {
    margin-top: 80px;
  }
}
.gallery-mp .my-container.smaller-margin {
  margin-top: 60px;
}
@media screen and (max-width: 767px) {
  .gallery-mp .my-container.smaller-margin {
    margin-top: 70px;
  }
}
@media screen and (max-width: 575px) {
  .gallery-mp .my-container.smaller-margin {
    margin-top: 80px;
  }
}
.gallery-mp .my-container.no-padding {
  padding: 0 !important;
  margin-top: 0;
  margin-bottom: 40px;
}
.gallery-mp .my-container.no-padding .gallery-container {
  margin: 0;
}
.gallery-mp .title {
  margin-bottom: 20px;
}
@media (max-width: 575px) {
  .gallery-mp .title {
    margin-bottom: 24px;
  }
}
.gallery-mp .title span {
  color: var(--red-500);
}
.gallery-mp .desc {
  text-align: justify;
  line-height: 1.59;
}
.gallery-mp .gallery-container {
  margin-top: 60px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 1.15fr 0.85fr;
  grid-auto-columns: 1fr;
  gap: 5px 5px;
  margin-bottom: -6px;
  grid-auto-flow: row;
  grid-template-areas: "left left middle-tall right-upper right-upper right-upper" "left left middle-short lower-1 lower-2 lower-3";
}
@media (max-width: 575px) {
  .gallery-mp .gallery-container {
    margin-top: 80px;
  }
}
@media (max-width: 767px) {
  .gallery-mp .gallery-container {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas: "left left middle-tall" "left left middle-short";
  }
}
@media (max-width: 575px) {
  .gallery-mp .gallery-container {
    grid-template-columns: 1fr 1fr;
    gap: 4px 4px;
    margin-bottom: -5px;
    grid-template-areas: "left left" "left left";
  }
}
.gallery-mp .gallery-container .transitioned {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
.gallery-mp .left {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 0.67fr 1.33fr;
  gap: 5px 5px;
  grid-auto-flow: row;
  grid-template-areas: "square-1 square-2" "square-big square-big";
  grid-area: left;
}
.gallery-mp .square-1 {
  position: relative;
  grid-area: square-1;
}
.gallery-mp .square-2 {
  position: relative;
  grid-area: square-2;
}
.gallery-mp .square-big {
  position: relative;
  grid-area: square-big;
}
.gallery-mp .middle-tall {
  position: relative;
  grid-area: middle-tall;
}
.gallery-mp .middle-short {
  position: relative;
  grid-area: middle-short;
}
.gallery-mp .right-upper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr;
  gap: 0px 5px;
  grid-auto-flow: row;
  grid-template-areas: "upper-1 upper-2";
  grid-area: right-upper;
}
.gallery-mp .left > *,
.gallery-mp .middle-tall,
.gallery-mp .middle-short,
.gallery-mp .right-upper > *,
.gallery-mp .lower-1,
.gallery-mp .lower-2,
.gallery-mp .lower-3 {
  display: flex;
}
@media (max-width: 767px) {
  .gallery-mp .right-upper,
.gallery-mp .lower-1,
.gallery-mp .lower-2,
.gallery-mp .lower-3 {
    display: none;
  }
}
@media (max-width: 575px) {
  .gallery-mp .middle-short,
.gallery-mp .middle-tall {
    display: none;
  }
}
.gallery-mp .upper-1 {
  position: relative;
  grid-area: upper-1;
}
.gallery-mp .upper-2 {
  position: relative;
  grid-area: upper-2;
}
.gallery-mp .lower-1 {
  position: relative;
  grid-area: lower-1;
}
.gallery-mp .lower-2 {
  position: relative;
  grid-area: lower-2;
}
.gallery-mp .lower-3 {
  position: relative;
  grid-area: lower-3;
}

.transitioned {
  opacity: 0;
  transition: all 1.5s ease;
}

.to-transition {
  opacity: 1;
}